Summary:        Sendmail milter for amavisd-new using the AM.PDP protocol
Name:           amavisd-milter
Version:        1.7.2
Release:    1%{?dist}
License:        BSD-3-Clause AND ISC
URL:            https://github.com/prehor/amavisd-milter
Source0:        https://github.com/prehor/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:        amavisd-milter.service
Source2:        amavisd-milter.sysconfig
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  sendmail-milter-devel >= 8.12.0
BuildRequires:  systemd-rpm-macros
%{?systemd_requires}
Requires:       amavisd-new

%description
The amavisd-milter is a sendmail milter (mail filter) for amavisd-new
2.4.3 (and above) and sendmail 8.13 (and above) which use the new AM.PDP
protocol.

Run 'usermod -a -G amavis postfix' when using Postfix and amavisd-milter
via the unix socket.

%prep
%setup -q

%build
%configure \
  --localstatedir=/run/amavisd \
  --with-working-dir=%{_localstatedir}/spool/amavisd/tmp
%make_build

%install
%make_install

install -D -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license LICENSE
%doc CHANGES
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.2-1
- initial build
